Bug 970734 - grub-install removes "fedora" from BootOrder, resulting in UEFI won't load GRUB2
grub-install removes "fedora" from BootOrder, resulting in UEFI won't load GRUB2
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-04 14:00 EDT by Martin
Modified: 2015-02-17 10:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:27:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2013-06-04 14:00:14 EDT
Description of problem:
grub-install removes "fedora" from BootOrder, resulting in UEFI won't load GRUB2

Version-Release number of selected component (if applicable):
grub2-tools-2.00-18.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. save output from: efibootmgr
2. run: grub2-install /dev/sda
3. compare with first: efibootmgr

Actual results:
ID (eg. 0019) to your GRUB2 ("Boot0019* fedora" ...) is missing in "BootOrder" list.

Expected results:
grub-install adds "0019" into BootOrder.

Workaround:
efibootmgr |grep BootOrder
efibootmgr -o
efibootmgr -O 0019,xxxx,...
Comment 1 Fedora Blocker Bugs Application 2013-06-04 14:10:08 EDT
Proposed as a Freeze Exception for 19-final by Fedora user martix using the blocker tracking app because:

 "grub2-install" can be used on Live media as a rescue scenario. It's much more useful to have it fixed on final release media than just in repository.
Comment 3 Fedora End Of Life 2015-01-09 13:20:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:27:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.